tigase.xmpp

## Class XMPPSession

- java.lang.Object
- - tigase.xmpp.XMPPSession

-     public class XMPPSession
      extends Object

  Describe class XMPPSession here. Created: Wed Feb 8 22:14:28 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMPPSession(String username)` Creates a new `XMPPSession` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResourceConnection(XMPPResourceConnection conn)` This method is called each time the resource is set for connection.
    `List<XMPPResourceConnection>` | `getActiveResources()` Method description
    `List<XMPPResourceConnection>` | `getActiveResourcesClone()` Method description
    `int` | `getActiveResourcesSize()` Method description
    `Object` | `getCommonSessionData(String key)`
    `tigase.xmpp.JID[]` | `getConnectionIds()` Method description
    `tigase.xmpp.JID[]` | `getJIDs()` Method description
    `long` | `getLiveTime()` Method description
    `long` | `getPacketsCounter()` Method description
    `XMPPResourceConnection` | `getResourceConnection(tigase.xmpp.JID jid)` Method description
    `XMPPResourceConnection` | `getResourceForConnectionId(tigase.xmpp.JID connectionId)` Method description
    `XMPPResourceConnection` | `getResourceForJID(tigase.xmpp.JID jid)` Method description
    `XMPPResourceConnection` | `getResourceForResource(String resource)` Method description
    `String` | `getUserName()` Method description
    `void` | `incPacketsCounter()`
    `protected void` | `putCommonSessionData(String key, Object value)` Method description
    `protected Object` | `removeCommonSessionData(String key)` Method description
    `void` | `removeResourceConnection(XMPPResourceConnection conn)` Method description
    `void` | `streamClosed(XMPPResourceConnection conn)` Method description
    `String` | `toString()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XMPPSession

          public XMPPSession(String username)

      Creates a new `XMPPSession` instance.
      Parameters:
        `username` -

  - ### Method Detail

    - #### addResourceConnection

          public void addResourceConnection(XMPPResourceConnection conn)
                                     throws tigase.util.TigaseStringprepException

      This method is called each time the resource is set for connection.
      Parameters:
        `conn` -
      Throws:
        `tigase.util.TigaseStringprepException`

    - #### incPacketsCounter

          public void incPacketsCounter()

    - #### removeResourceConnection

          public void removeResourceConnection(XMPPResourceConnection conn)

      Method description
      Parameters:
        `conn` -

    - #### streamClosed

          public void streamClosed(XMPPResourceConnection conn)

      Method description
      Parameters:
        `conn` -

    - #### toString

          public String toString()

      Method description
      Overrides:
        `toString` in class `Object`
      Returns:

    - #### getActiveResources

          public List<XMPPResourceConnection> getActiveResources()

      Method description
      Returns:

    - #### getActiveResourcesClone

          public List<XMPPResourceConnection> getActiveResourcesClone()

      Method description
      Returns:

    - #### getActiveResourcesSize

          public int getActiveResourcesSize()

      Method description
      Returns:

    - #### getCommonSessionData

          public Object getCommonSessionData(String key)

      Parameters:
        `key` -
      Returns:

    - #### getConnectionIds

          public tigase.xmpp.JID[] getConnectionIds()

      Method description
      Returns:

    - #### getJIDs

          public tigase.xmpp.JID[] getJIDs()

      Method description
      Returns:

    - #### getLiveTime

          public long getLiveTime()

      Method description
      Returns:

    - #### getPacketsCounter

          public long getPacketsCounter()

      Method description
      Returns:

    - #### getResourceConnection

          public XMPPResourceConnection getResourceConnection(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` -
      Returns:

    - #### getResourceForConnectionId

          public XMPPResourceConnection getResourceForConnectionId(tigase.xmpp.JID connectionId)

      Method description
      Parameters:
        `connectionId` -
      Returns:

    - #### getResourceForJID

          public XMPPResourceConnection getResourceForJID(tigase.xmpp.JID jid)

      Method description
      Parameters:
        `jid` -
      Returns:

    - #### getResourceForResource

          public XMPPResourceConnection getResourceForResource(String resource)

      Method description
      Parameters:
        `resource` -
      Returns:

    - #### getUserName

          public String getUserName()

      Method description
      Returns:

    - #### putCommonSessionData

          protected void putCommonSessionData(String key,
                                  Object value)

      Method description
      Parameters:
        `key` -
        `value` -

    - #### removeCommonSessionData

          protected Object removeCommonSessionData(String key)

      Method description
      Parameters:
        `key` -
      Returns:

Copyright © 2013 Tigase. All rights reserved.